Contents

Welcome to the Official SE Tool2 Help File
World`s best service software for SE mobile platform phones 3G & GSM with THE BEST SUPPORT.

SE Features
SEtool2 Standalone service features for NEW SE platform phones

  • Unlock any current cid (16/29) NEW SEMC phones
  • Repair any current cid (16/29) NEW SEMC phones
  • Write custom languge packs on any current cid (16/29) NEW SEMC phones
  • Flash and change language packs on all current NEW SEMC phones
  • Upgrade flash (free) WITHOUT changing lp on any current cid (16/29) NEW SEMC phones
  • Read GDFS zone backup of all parameters (e.g. security, battery, calibration, et.c)
  • Write GDFS zone backup of all parameters (e.g. security, battery, calibration, et.c)
  • Read data from any current cid (16/29)NEW SEMC PHONES
  • Write and replace custom files in phone file system (FAST fill with mp3, pictures, tones, change SMS tones, et.c)
  • Decustomizeing any current cid (16/29)NEW SEMC phones
  • Read user codes any current cid (16/29) NEW SEMC phones
  • Remove camera shutter sound all current NEW SEMC phones
  • Reset total call timer any current cid (16/29) NEW SEMC phones
  • Repair damaged gdfs area any current cid (16/29) NEW SEMC phones
  • Change CDA number and revision any current cid (16/29) NEW SEMC phones
  • Change band locks any current cid (16/29) NEW SEMC phones
  • Readfile, listdir, listfiles e.t.c.
  • K500/K700/S700/Z500 empty board filling.

LG Features
SEtool2 Standalone service features for LG3G, SE platform based phones

  • Convert phones from red to brown
  • Convert phones from brown to red
  • Unlock all current versions of U8110, U8120, U8130, U8138
  • Repairs fully damaged gdfs and filesystem of U8110, U8120, U8130, U8138
  • Read/write gdfs
  • Fashing of U8110, U8120, U8130, U8138
  • "force" Flashing for LG3G, to repair improperly flashed LG3G u-series

Current supported models by setool2 standalone version:
Current supported SE platform based models which is supported by our presented features above.

  • F-series: F500c, F500i
  • K-series: K700c, K700i, K500i, K506c
  • S-series: S700, S700a, S700c, S700i, S710a, S710c, S710i
  • V-series: V800, V802SE
  • Z-series: Z1010a, Z1010c, Z1010i,Z1010, Z1020, Z500a, Z500i, Z500, Z800i
  • LG3G U-series: U8110, U8120, U8130, U8138


To start using SETOOL2 SEMC SERVICE follow the guide below


Working Area Overview

Getting to know the working area of SETOOL2 SEMC SERVICE

  1. SETOOL2 Version: always be sure to download latest version
  2. SETOOL2 Process Area: the main area in SETOOL2 where we see what we are doing to your phone ;)
  3. Username / password / server: insert here data you got from your reseller
  4. Interaction area: always check this area for messages from SETOOL2 about your next step
  5. COM port and speed: Com-port is used only in SETOOL2 COM version – choose here port to which you connected your cable (if you have USB cable, check for Virtual Com port it created). Speed is different for different cables; for COM cable choose 115200) (if you have problems with cable try playing around with RTS and DTR buttons. For fast flashing use USB cable or UFS. You can use 921600 for most of the phones (except for V800, Z800 and Z1010

– if you choose higher speed, SETOOL2 will automatically set it up to 460800). If you experience some problems always try to lower your speed. Note: Please use good quality cables and computer parts for your convenience!

  6. Main firmware file: insert here MAIN firmware file you have downloaded from Support Area and unzipped… (See next chapter for more info)
  7. File System Image: insert here FS file you have downloaded from Support Area and unzipped… (See next chapter for more info)
  8. Firmware upgrade pack: insert here SFA file you have downloaded from Support Area and unzipped… (See next chapter for more info)
  9. Misc files: insert here GDFS file you have downloaded from Support Area and unzipped… or to be used together with Write files option in SETOOL2… (See next chapter for more info)

10. SETOOL2 ACTION BUTTONS

  • CONNECT UFS - only to be used in SETOOL2 Standalone and Server – UFS/Twister version, USE THIS BUTTON BEFORE CONNECT PHONE TO CABLE
  • UNLOCK/REPAIR – in combination with different files it is used to unlock your phone, repair it, etc. (will be explained in details further in the manual)
  • FLASH – in combination with different files it is used to flash your phone with latest firmware, do a language change or decustomizing, to change camera shutter sound, etc. (will be explained in details further in the manual)
  • READ DATA – read different data from you phones firmware and GDFS area… can be used to check cable and connection between your computer and phone
  • READ GDFS – to make a backup of GDFS area from your phone… use only when someone from SETOOL2 support team advices you to use it!
  • WRITE GDFS – used to repair damaged phones… use only when someone from SETOOL2 support team advices you to use it! (will be explained in details further in the manual)
  • WRITE FILES – to write custom made files in your phone. For example to change preset SOUNDS like SMS alert and Start up sound or picture… (will be explained in details further in the manual)
  • RECOVERY - used with phones that do not boot due to corrupted recovery certificates etc. Can also be used to support BROWN prototype phones.
  • STOP ACTION - Stops any progress that SETOOL2 has initiated.
  • EXIT - exits SETOOL2

11. SETOOL2 Check Boxes

  • COMPLETE PHONE – to be used when flashing MAIN+FS and some other options… (will be explained in details further in the manual)
  • RESURRECT PHONE – to be used only when phone is non working and when someone from SETOOL2 support team advices you to use it!
  • READ USERCODES – Option to read usercodes form a phone (defualt is 0000)

12. SETOOL2 ADVANCED MODEL SWITCHING TAB's

  • SONY ERICSSON - Use this TAB to service all supported RED and BROWN SEMC phones listed on the main page.
  • LG3G - Use this TAB to service all supported LG phones listed on the main page.
  • EMPTY FILL - This TAB should be used with EMPTY "BLUE" SEMC phones together with the special files in support area.


UNLOCKING SEMC PHONES

  1. Start the latest version of SETOOL2.
  2. Make sure the battery is FULLY charged. Turn off the phone, remove SIM card and attach cable.
  3. Insert username/password/server [Box 1] if using Server edition of SETOOL2 and press info [Box 2] to check credits and connection (attention: your firewall may be set to deny access to Internet. Please enable access for SETOOL2).
  4. Choose appropriate COM port (only COM version of SETOOL2) and speed [Box 3] – for high speed UFS/USB unlocking use 921600 (for V800/Z1010 use 460800 or SETOOL2 will automatically set the speed to 460800) and for normal speed COM cable unlocking use 115200.
  5. Press CLEAR NAMES button [Box 4] to be sure all fields are clear.
  6. Press UNLOCK/REPAIR button [Box 5].
  7. Watch carefully INTERACTION AREA for any user action required.
  8. After successful finish detach phone, reinsert the battery and insert SIM and Power ON the phone. If any errors, please check Troubleshooting chapter.
  9. IN SOME RARE CASES SETOOL2 client-server service – COM will have strange problems with cables you are using. If your phone powers on when the program asks you to PRESS ON button in the phone, most probably you have DATA cable and need to modify it. If your phone doesn’t do anything when the program asks you to PRESS ON button in the phone, you most probably you have non-working/bad-quality cable. THE MOST USEFUL TIP&TRICK is to try removing and then putting back in the battery and pressing POWER ON button again. If still doesn’t work you need a new cable. This trick can be used at any stage (for example Unlocking phone has 3 stages and you need to press POWER ON button 3 times… each time if you don’t succeed with only pressing POWER ON button, try the battery trick!).


CHOOSING THE CORRECT FILES

All files you may ever need for SETOOL2 are located in SETOOL2 Support Zone (Please note that dedicated support zone for LG phones is at www.tornadoflasher.net/setool - use the same username and pass that you use for SEMC Support Zone – for more info on LG phones please see the LG3G section).

Files in the support area are zipped, and you need to unzip it before use. If not, you will get an error like below:

Flashing main:c:\laser\s700\s700r3k_main.bin.cry.zip
bad file, will not flash it.
Ignoring
Flashing fs image:c:\laser\s700\s700r3k_fs.hk.cry.zip
bad file, will not flash it.

Explanation of files in support area:

  • MAIN FIRMWARE FILES: (*.bin or *.bin.cry): Main firmware files are mostly the same for the region, no matter of languages you want in your phone.

  • FS FILES: (*.bin or *.bin.cry): In these files you choose appropriate language/customization for your phone. All languages in different FS files are listed in Support Area and in the end of this manual.

    FS files always go in File System Image area in SETOOL2 program. FS file must always be the same version as MAIN firmware file.

  • SFA FILES: (*.bin or *.bin.cry): SFA files are used for upgrading firmware only and adding additional languages in your phone.

    SFA files always go in Firmware Upgrade Pack area in SETOOL2

    program.SFA file must always be the same version as MAIN firmware file.

  • GDFS FILES: (*.bin) GDFS files are used to fix dysfunctional phones. And can be used to back up certain data for example wap profiles.


SEMC FIRMWARE UPGRADE

  1. Start the latest version of SETOOL2.
  2. Make sure the battery is FULLY charged. Turn off the phone, remove SIM card and attach cable.
  3. Insert username/password/server [Box 1] if using Server edition of SETOOL2 and press info [Box 2] to check credits and connection (attention: your firewall may be set to deny access to Internet. Please enable access for SETOOL2).
  4. Choose appropriate COM port (only COM version of SETOOL2) and speed [Box 3] – for high speed UFS/USB unlocking use 921600 (for V800/Z1010 use 460800 or SETOOL2 will automatically set the speed to 460800) and for normal speed COM cable unlocking use 115200.
  5. Press CLEAR NAMES button [Box 4] to be sure all fields are clear.
  6. In MAIN FIRMWARE FILE [Box 5] choose MAIN file you have downloaded from Support Area for your phone.
  7. In FIRMWARE UPGRADE PACK [Box 6] choose SFA file (it must match the MAIN file version, also choose the file that includes Language you want in your phone) you have downloaded from Support Area for your phone
  8. Press FLASH button [Box 7].
  9. Watch carefully INTERACTION AREA for any user action required.
  10. After successful finish detach phone, reinsert the battery and insert SIM and Power ON the phone. If any errors, please check Troubleshooting chapter.


DECUSTOMIZING / LANGUAGE CHANGE

  1. Start the latest version of SETOOL2.
  2. Make sure the battery is FULLY charged. Turn off the phone, remove SIM card and attach cable.
  3. Insert username/password/server [Box 1] if using Server edition of SETOOL2 and press info [Box 2] to check credits and connection (attention: your firewall may be set to deny access to Internet. Please enable access for SETOOL2).
  4. Choose appropriate COM port (only COM version of SETOOL2) and speed [Box 3] – for high speed UFS/USB unlocking use 921600 (for V800/Z1010 use 460800 or SETOOL2 will automatically set the speed to 460800) and for normal speed COM cable unlocking use 115200.
  5. Press CLEAR NAMES button [Box 4] to be sure all fields are clear.
  6. In MAIN FIRMWARE FILE [Box 5] choose MAIN file you have downloaded from Support Area for your phone
  7. In FILE SYSTEM IMAGE [Box 6] choose FS file (it must match the MAIN file version, also choose the file that includes Language you want in your phone) you have downloaded from Support Area for your phone
  8. Check the COMPLETE PHONE box [Box 7]
  9. Press FLASH button [Box 8].
  10. Watch carefully INTERACTION AREA for any user action required.
  11. After successful finish detach phone, reinsert the battery and insert SIM and Power ON the phone. If any errors, please check Troubleshooting chapter.


GDFS OPERATIONS

GDFS OPERATIONS - Read GDFS

  1. Start the latest version of SETOOL2.
  2. Make sure the battery is FULLY charged. Turn off the phone, remove SIM card and attach cable.
  3. Insert username/password/server [Box 1] if using Server edition of SETOOL2 and press info [Box 2] to check credits and connection (attention: your firewall may be set to deny access to Internet. Please enable access for SETOOL2).
  4. Choose appropriate COM port (only COM version of SETOOL2) and speed [Box 3] – for high speed UFS/USB unlocking use 921600 (for V800/Z1010 use 460800 or SETOOL2 will automatically set the speed to 460800) and for normal speed COM cable unlocking use 115200.
  1. Press in READ GDFS [Box 4] button.
  2. When the process is completed, output data file will be saved in the same folder of where your SETOOL2 is located with the name: “gdfs.bin”.


Write GDFS

GDFS Operations - Write GDFS

  1. Start the latest version of SETOOL2.
  2. Make sure the battery is FULLY charged. Turn off the phone, remove SIM card and attach cable.
  3. Insert username/password/server [Box 1] if using Server edition of SETOOL2 and press info [Box 2] to check credits and connection (attention: your firewall may be set to deny access to Internet. Please enable access for SETOOL2).
  4. Choose appropriate COM port (only COM version of SETOOL2) and speed [Box 3] – for high speed UFS/USB unlocking use 921600 (for V800/Z1010 use 460800 or SETOOL2 will automatically set the speed to 460800) and for normal speed COM cable unlocking use 115200.
  5. Press CLEAR NAMES button [Box 4] to be sure all fields are clear.
  6. In Misc Files [Box 5] choose GDFS that you have read using READ GDFS option (gdfs.bin in SETOOL2 directory)
  7. Press WRITE GDFS [Box 6]
  8. Watch carefully INTERACTION AREA for any user action required.
  9. After successful finish detach phone, reinsert the battery and insert SIM and Power ON the phone. If any errors, please check Troubleshooting chapter.


Repair DAMAGED GDFS area

GDFS Operations - Repair DAMAGED GDFS area

  1. Start the latest version of SETOOL2.
  2. Make sure the battery is FULLY charged. Turn off the phone, remove SIM card and attach cable.
  3. Insert username/password/server [Box 1] if using Server edition of SETOOL2 and press info [Box 2] to check credits and connection (attention: your firewall may be set to deny access to Internet. Please enable access for SETOOL2).
  4. Choose appropriate COM port (only COM version of SETOOL2) and speed [Box 3] – for high speed UFS/USB unlocking use 921600 (for V800/Z1010 use 460800 or SETOOL2 will automatically set the speed to 460800) and for normal speed COM cable unlocking use 115200.
  5. Press CLEAR NAMES button [Box 4] to be sure all fields are clear.
  6. In Misc Files [Box 5] choose GDFS that you have downloaded from Support Area
  7. Press in RESURRECT PHONE button [Box 6]
  8. Press UNLOCK/REPAIR [Box 7]
  9. Watch carefully INTERACTION AREA for any user action required.
  10. After successful finish detach phone, reinsert the battery and insert SIM and Power ON the phone. If any errors, please check Troubleshooting chapter.


Customization / CDA Modification

SETOOL2 uses standard CDA number and also Revision for all phone model and languages. The objective of changing CDA number and Revision is to customaries the phone to your local setting.

For example, on the left, it is an official CDA number and Revision for K700 Hong Kong. On the right, it is a K700 flashed by SETOOL2. You will noticed that it is “CDA 102286/8 R 2A” and with revision “1E0W”

Change CDA and Revision number:

1) you can change the CDA number by navigating to “tpa\preset\custom” in your SETOOL2 directory

1) Edit the “customize.xml” in Notepad or any text editor.

Change Firmware Version (1E0W) in Customization:

Method 1:

you may change firmware version(1E0W) in Customization by flashing avaliable language pack to your phone.

1. Select Firmware Upgrade Pack [Box 5]. Make it is unzipped and in either *.bin or *.cry format

2. DO NOT press the “Complete Phone” button

3. Press the “Flash” button [Box 6]

4. After flashing, turn on the phone and Master Reset the phone

Method 2:

You can use script file to change the firmware version(1E0W) in Customization section.

1. Create a text file in Notepad, say, "rev.txt"

2. for K700/K500/S700/V800, copy this string to the Notepad:

gdfswrite:00020CBF31323334

or

for Z1010, copy this string to the Notepad:

gdfswrite:00040CBF31323334

3. This example will write "1234" to overwrite "1E0W".

4. You may refer to the conversion table at the last page of this manual for details.

5. Save this "rev.txt" into the same directory of where SETOOL2 located.


CHANGING BANDLOCK

The objective of changing bandlock is to lock your phone in certain band frequency.

To change banlock, you need create a file with the following string:

gdfswrite:000000AA0AFFFFFFFFFFFFFFFFFF00

Where 0A is used to determinate the bandlock value. In this example, it is EGSM900 & DCS1800 & PCS1900 tri-bands. Other example are:

only 900mhz phone:

gdfswrite:000000AA00FFFFFFFFFFFFFFFFFF00

only 850mhz phone:

gdfswrite:000000AA0BFFFFFFFFFFFFFFFFFF00

Full list of banklock value as follows:

00 - GSM900
01 - EGSM900
02 - DCS1800
03 - PCS1900
04 - GSM900 & DCS1800
05 - EGSM900 & DCS1800
06 - GSM900 & PCS1900
07 - EGSM900 & PCS1900
08 - DCS1800 & PCS1900
09 - GSM900 & DCS1800 & PCS1900
0A - EGSM900 & DCS1800 & PCS1900
0B - GSM850
0C - GSM850 & PCS1900
0D - EGSM900 & GSM850
0E - DCS1800 & GSM850
0F - EGSM900 & DCS1800 & GSM850
10 - EGSM900 & GSM850 & PCS1900
11 - DCS1800 & GSM850 & PCS1900
12 - EGSM900 & DCS1800 & GSM850 & PCS1900

Procedures:

1. Open the Notepad in your PC. Create a file name, for example, "bandlock.txt"

2. Copy the following string in the notepad:

gdfswrite:000000AA0AFFFFFFFFFFFFFFFFFF00

3. Save the file (bandlock.txt) in the same directory (folder) of where SETOOL2 located

4. Start the latest version of SETOOL2.

5. Insert username/password/server [Box 1] if using Server edition of SETOOL2 and press info [Box 2] to check credits and connection

6. Choose appropriate COM port (only COM version of SETOOL2) and speed [Box 3]

7. Select the "bandlock.txt" you have created in the "Misc File" box [Box 4]

8. Press “Write File” button [Box 5]

9. After writing the bandlock file to your phone, you will get 4-locks closed. You have to run the unlock procedure to unlock your phone again.


MODIFYING THE FILE SYSTEM

SETOOL2 SEMC SERVICE can write files into your phone, including overwriting some internal files such as SMS Message Tone and etc. By overwriting internal files, it means you can replace internal files with your own files. Moreover, frames can be ADDED - so more frames will appear in phone. Just use any name but needed path to add your own frames.

File Type | File Format | File Path | File Name
Clipart | PNG, size 80x70 | /tpa/preset/system/multimedia/pe/clipart/ | Afro.png Angry Thoughts.png Arrow.png Beard.png Clown Nose.png Disguise.png Hearts.png Mask.png Moustache.png Mouth.png Pacifier.png Pig Nose.png Pirate.png Punk Hair.png Question Thoughts.png Scar.png Sombrero.png
Frames 1 | PNG, size 320x240 | /tpa/preset/system/multimedia/pe/frames/ (You can use this path to add more frames) | Amber.png Brass.png Brushed Alu.png Bubble.png Camo.png Jelly.png Mediterranean.png Soccer.png Wriggle Plant.png
Frames 2 | PNG, size 320x240 | /tpa/preset/system/multimedia/pe/funlayer/ | Angel.png Baby.png Behind Bars.png Bunny.png Double Heart.png Extra.png Hiphop.png Hippie.png Monkey.png Superhero.png TV Star.png Wanted.png
Startup/Shutdown | animated GIF, BMP, PNG size is 176x220 sounds are mid | /tpa/preset/system/settings/ | SHUTDOWN_IMAGE_SEMC splash STARTUP_IMAGE_SEMC SHUTDOWN_SOUND_SEMC.mid STARTUP_SOUND_SEMC.mid

sms and other system sounds

amr and mid

/tpa/preset/system/sound/

(you need to replace both amr and mid file in pair)

camerashutter.amr

disconnected.amr

discreet.amr

failure.amr

lowbattery.amr

messagealert1.amr

messagealert2.amr

messagealert3.amr

messagealert4.amr

messagealert5.amr

messagealert6.amr

notification.amr

progress.amr

reminder.amr

retrysuccess.amr

success.amr

camerashutter.mid

cameratimer.mid

connecting.mid

disconnected.mid

discreet.mid

failure.mid

keyclick.mid

lowbattery.mid

messagealert1.mid

messagealert2.mid

messagealert3.mid

messagealert4.mid

messagealert5.mid

messagealert6.mid

messageclick.mid

notification.mid

progress.mid

reminder.mid

request.mid

retrysuccess.mid

success.mid

timer.mid

video.mid

Procedures:

1. Open the Notepad in your PC. Create a file name, for example, "bandlock.txt"

2. The concept of Write File function is very simple. First, you delete the Internal File. Than, you write a new file to replace it.

3. The following is an example replacing SMS Message Alter 1 with your own sound.

4. Copy the following string in the notepad: (without gaps)

deletefile:/tpa/preset/system/sound/messagealert1.mid

c:\customfs\z1010\sounds\mysms.mid

/tpa/preset/system/sound/messagealert1.mid

5. Where “c:\customfs\z1010\sounds\” is the directory that where you store the new sound file. Sound file must be in mid or amr format. Where “mysms.mid” is the file name of your new sound to be used.

6. Save the file. Say for example, "message_sound.txt".

7. Start the latest version of SETOOL2.

8. Insert username/password/server [Box 1] if using Server edition of SETOOL2 and press info [Box 2] to check credits and connection

9. Choose appropriate COM port (only COM version of SETOOL2) and speed [Box 3]

10. Press the “clear name” button[Box 4] to clear all the fields.

11. Select the "message_sound.txt" you have created in the "Misc File" box [Box 5]

12. Press “Write File” button [Box 6]

To replace SMS and System Sound, you need to replace corresponding .mid or .amr file. For example “messagealert1.mid” and “messagealert1.amr” most be replaced together.


Adding Languages

ADDING LANGUAGES TO SEMC PHONES

SETOOL2 can add as much language as possible to your phone. Check the download section of www.setool.net for available languages. All language files are named in sfa format.

It is important that the language pack must be at the same version of the Main Firmware version. For example, if you the Main firmware is R1K010, you must use R1K010 language pack.

Procedures:

1. Download Main, FS, and language pack you need from the setol2 support site.

2. Unzip all the files. They are in either *.bin or *.cry format.

3. Start the latest version of SETOOL2.

4. Make sure the battery is FULLY charged. Turn off the phone, remove SIM card and attach cable.

5. Insert username/password/server [Box 1] if using Server edition of SETOOL2 and press info [Box 2] to check credits and connection

6. Choose appropriate COM port (only COM version of SETOOL2) and speed [Box 3]

Method 1:

1. You may upgrade Main and FS firmware together with the language pack.

2. Press the “clear name” button [Box 4]

3. Select Main firmware file [Box 5]. Make it is unzipped and in either *.bin or *.cry format

4. Select File System File [Box 6]. Make it is unzipped and in either *.bin or *.cry format

5. Select Firmware Upgrade Pack [Box 7]. Make it is unzipped and in either *.bin or *.cry format

6. Press the “Complete Phone” button [Box 8]

7. Press the “Flash” button [Box 9]

Method 2:

You may add the language only. But make sure it is same version as the Main and File System.

1. Press the “clear name” button [Box 4]

2. Select Firmware Upgrade Pack [Box 5]. Make it is unzipped and in either *.bin or *.cry format

3. DO NOT press the “Complete Phone” button

4. Press the “Flash” button [Box 6]

5. After flashing, turn on the phone and Master Reset the phone

6. You may add as much languages as you like, just repeat step 9 to 12.


Empty Board Filling

EMPTY BOARD FILLING OF SEMC PHONES

1. switch to "empty fill" tab
2. select special main image (from Support Zone on www.setool.net)
3. select special fsimage (from Support Zone on www.setool.net)
4. if you want to make phone real product (with good imei) - enter IMEI, check "write OTP imei" checkbox
5. press flash


LG3G Support

USING SETOOL2 WITH LG3G PHONES

01 Although using SETOOL2 is pretty the same for all SE and LG phones, there might be few differences. To avoid the confusion this manual will give you quick guides and will be expanded as time will come.

02 You can download all flash files for supported LG phones from www.tornadoflasher.net/setool/ Username and password are the same you are using to login to SEMC Support Zone.

03 After downloading the necessary files, you’ll need to unpack them and choose them in SETOOL2 program. For example:

  1. Main firmware file - FS_Rec_Austria.ssw.cry 33978Kb
  2. File system image - U8130_phone_wcdma_4mbram.cry 13036Kb
  3. LG applets image - drive_c.ssw.cry 10755Kb
  4. LG media file - drive_media.ssw.cry 4098kb

04 To unlock most of the phones just use a standard procedure as described in this manual. To unlock LG 8130 ( r ), please use following procedure:

Flash "special" files from 8130_cnv.rar (Download it from the Support Zone)
Both files must be flashed.

howto:

- switch to lg tab
- put them into
1. "main firmware file " - u8130_etc....ssw
2. "lg applets image" -drive_c.ssw

press FLASH
press UNLOCK

after that power phone on with sim card, when it says something like "usim blocatta" press 2945#*88110#
press "unlock usim"
"network lock"
enter code: 00000666
press ok.
restart phone
done


Error Codes

ERROR CODES AND ERROR HANDLING

Errors sometimes happen! Here is a list error code and handling methods:

Error Message | What to do
csloader refused to start fs services, error is:0 failed, that is fatal | Reflash FS Image OR Main Image + FS Image. No “Complete Phone” is needed
llbug: no ACK ! (All llbug: no ACK error) | 1) Check or change cable 2) Change Operation System. Better use WinXP 3) Lower speed in Comport Setting
rsa prologue NAK RECOVERY MODE STARTED rsa request not accepted Open COM port OK Stop signal set. rsa request not accepted All possible recovery loaders fail. That phone not supported Phone can't boot,sorry. | 1) Check or Change cable. Make sure you are using T28 (flashing) cable or modified DCU-11 USB cable. Normal data cable and DCU-11 USB cable will not work with SETOOL2 2) Check your Comport setting. Make sure you are using the right Comport 3) Lower speed in Comport Setting
Flashing fs image:c:\setool\flash\k700_r2ae033\k700r2ae_fs.eme a1 CURRENT FLASH FILE CID:29 SSW uses dynamic hash, dynamic hash len is:101 Will flash 101 blocks... ...superblock not accepted llbug: no ACK ! loader refused shutdown, that is minor error. | 1) Flashing Main + FS image without “Complete Phone” 2) After flashing, turn phone on, then turn it off again 3) Than, press "Complete Phone" and press “Flash”
server step1 error:10 failed, that is fatal | 1) Press the “Clear Name” button 2) Press the "Complete Phone" button 3) Press “Flash” button
csloader refused to start gdfs services,error is:29 failed, that is fatal | 1. read own gdfs then write it back and try again OR resurrect phone with gdfs from setool.net

Phones Errors

Error / Error Message | What to do
Blinking Phone | Reflash just FS Image + Complete Phone
Phone Display: "Configuration error. Please contact your network operator or service centre." | 1) Press the “Clear Name” button 2) Press the "Complete Phone" button 3) Press “Flash” button


SCRIPT SUMMARY

Function | Script Example
To enable Channel and Battery Info | gdfswrite:000208BBFFFFFF01010101010101FFFFFFFFFFFFFFFFFF01010101FFFFFFFFFFFFFF
To change bandlock | gdfswrite:000000AA0AFFFFFFFFFFFFFFFFFF00 (OA = band value, please refer to How to change bandlock for full table)
To Change CDA | gdfswrite:00020CBC4344413130323238362F39 (in this example: CDA102286/9)
To Change Revision | gdfswrite:00020CBD523341 (In this example, Revision = R3A)
To change “1E0W” | gdfswrite:00020CBF31323334 (31323334 = 1234 = Revision in ASCII format)
To change Language pack info | gdfswrite:00020CBB454D45415F32 (In this example, Language pack info = EMEA_2)
To Fix Z1010 voice control Such as, unable to use my voice control functions. | gdfswrite:000000460F gdfswrite:000000470F

To use this script, please refer to “How to change bandlock function” If you need ASCII to HEX conversion, please refer the Conversion Table at the last page of this manual.


Decimal to Hexidecimal Conversion

DECIMAL > HEXIDECIMAL CONVERSION TABLE

Hex | ASCII | ____ | Hex | ASCII | ____ | Hex | ASCII | ____ | Hex | ASCII
00 | NUL |  | 20 | SP |  | 40 | @ |  | 60 | '
01 | SOH |  | 21 | ! |  | 41 | A |  | 61 | a
02 | STX |  | 22 | " |  | 42 | B |  | 62 | b
03 | ETX |  | 23 | # |  | 43 | C |  | 63 | c
04 | EOT |  | 24 | $ |  | 44 | D |  | 64 | d
05 | ENQ |  | 25 | % |  | 45 | E |  | 65 | e
06 | ACK |  | 26 | & |  | 46 | F |  | 66 | f
07 | BEL |  | 27 | ' |  | 47 | G |  | 67 | g
08 | BS |  | 28 | ( |  | 48 | H |  | 68 | h
09 | HT |  | 29 | ) |  | 49 | I |  | 69 | i
0A | LF |  | 2A | * |  | 4A | J |  | 6A | j
0B | VT |  | 2B | + |  | 4B | K |  | 6B | k
0C | FF |  | 2C | , |  | 4C | L |  | 6C | l
0D | CR |  | 2D | - |  | 4D | M |  | 6D | m
0E | SO |  | 2E | . |  | 4E | N |  | 6E | n
0F | SI |  | 2F | / |  | 4F | O |  | 6F | o
10 | DLE |  | 30 | 0 |  | 50 | P |  | 70 | p
11 | DC1 |  | 31 | 1 |  | 51 | Q |  | 71 | q
12 | DC2 |  | 32 | 2 |  | 52 | R |  | 72 | r
13 | DC3 |  | 33 | 3 |  | 53 | S |  | 73 | s
14 | DC4 |  | 34 | 4 |  | 54 | T |  | 74 | t
15 | NAK |  | 35 | 5 |  | 55 | U |  | 75 | u
16 | SYN |  | 36 | 6 |  | 56 | V |  | 76 | v
17 | ETB |  | 37 | 7 |  | 57 | W |  | 77 | w
18 | CAN |  | 38 | 8 |  | 58 | X |  | 78 | x
19 | EM |  | 39 | 9 |  | 59 | Y |  | 79 | y
1A | SUB |  | 3A | : |  | 5A | Z |  | 7A | z
1B | ESC |  | 3B | ; |  | 5B | [ |  | 7B | {
1C | FS |  | 3C | < |  | 5C | \ |  | 7C | |
1D | GS |  | 3D | = |  | 5D | ] |  | 7D | }
1E | RS |  | 3E | > |  | 5E | ^ |  | 7E | ~
1F | US |  | 3F | ? |  | 5F | _ |  | 7F | DEL